| Home | Libraries | People | FAQ | More

##### rows_view::operator==

Equality operator.

###### Synopsis

    bool
    operator==(
        const rows_view& rhs) const noexcept;

###### Description

The containers are considered equal if they have the same number of rows and they all compare equal, as defined by `row_view::operator==`.

###### Exception safety

No-throw guarantee.

###### Complexity

Linear on `this->size() * this->num_columns()`.